Summary:        RPKI client implementation
Name:           rpki-client
Version:        0.2.0
Release:        1%{?dist}
License:        ISC
URL:            https://github.com/kristapsdz/rpki-client/
Source:         https://github.com/kristapsdz/rpki-client/archive/VERSION_%{vcs_ver}/%{name}-%{version}.tar.gz
Patch0:         rpki-client-0.2.0-rsync.patch
BuildRequires:  gcc
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
Requires:       rsync
Requires(pre):  shadow-utils

%global vcs_ver %(echo %{version} | tr . _)

%description
rpki-client is an implementation of RPKI (Resource Public Key
Infrastructure), specified by RFC 6480. It implements the client
side of RPKI, which is responsible for downloading, validating
and converting ROAs (Route Origin Authorisations) into VRPs
(Validated ROA Payloads). The client's output (VRPs) can be used
to perform BGP Origin Validation (RFC 6811).

The design focus of rpki-client is simplicity and security. To
wit, it implements RPKI components necessary for validating route
statements and omits superfluities (such as, for example, which
X509 certificate sections must be labelled "Critical").

%prep
%setup -q -n %{name}-VERSION_%{vcs_ver}
%patch0 -p1 -b .rsync

%build
export CFLAGS="$RPM_OPT_FLAGS -DRSYNC_PROG='\"rsync\"'"
./configure PREFIX=%{_prefix} MANDIR=%{_mandir} LDFLAGS="$RPM_LD_FLAGS"
%make_build CFLAGS+="$(pkg-config --cflags openssl)" LDADD+="$(pkg-config --libs openssl) -lresolv"

%install
%make_install INSTALL_PROGRAM='install -p -m 0755' INSTALL_MAN='install -p -m 0644'
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/{cache,lib}/%{name}/

%pre
getent group %{name} > /dev/null || %{_sbindir}/groupadd -r %{name}
getent passwd %{name} > /dev/null || %{_sbindir}/useradd -r -g %{name} -d %{_localstatedir}/lib/%{name} -s /sbin/nologin -c "RPKI client" %{name}
exit 0

%files
%license LICENSE.md
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%dir %attr(0750,%{name},%{name}) %{_localstatedir}/cache/%{name}/
%dir %attr(0750,%{name},%{name}) %{_localstatedir}/lib/%{name}/

%changelog
* Wed Jun 19 2019 Robert Scheck <robert@fedoraproject.org> 0.2.0-1
- Upgrade to 0.2.0 (#1745770)
- Initial spec file for Fedora and Red Hat Enterprise Linux
